### Method

# Dex Future is_resolved

#### Declaration [src]

    gboolean
    dex_future_is_resolved (
      DexFuture* future
    )

#### Description [src]

This is a convenience function equivalent to calling `dex_future_get_status()` and checking for `DEX_FUTURE_STATUS_RESOLVED`.

#### Return value

Type: `gboolean`

`TRUE` if the future has successfully resolved with a value; otherwise `FALSE`.